OpenStack Compute (Nova)

rpc calls are broken when remote procedure returns None

Reported by Chris Behrens on 2011-11-28
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
OpenStack Compute (nova)
High
Chris Behrens
Diablo
Undecided
Unassigned

Bug Description

Unfortunately a None response is used to signify the end of a multicall. But None can be a valid response. This causes the caller to end reading from the queue early. We need to signify the end of a rpc call in a different manner.

This would cause bug 855030, but I cannot be sure that's the real cause of that bug, so I'm filing this separately.

Chris Behrens (cbehrens) on 2011-11-28
Changed in nova:
assignee: nobody → Chris Behrens (cbehrens)
status: New → In Progress
Chris Behrens (cbehrens) on 2011-11-29
Changed in nova:
importance: Undecided → High

Reviewed: https://review.openstack.org/1934
Committed: http://github.com/openstack/nova/commit/84693b4a16413830be61f465f602de9d13b45161
Submitter: Jenkins
Branch: master

 status fixcommitted
 done

commit 84693b4a16413830be61f465f602de9d13b45161
Author: Chris Behrens <email address hidden>
Date: Tue Nov 29 09:01:16 2011 -0800

    Fix RPC responses to allow None response correctly.

    Fixes bug 897155

    Also adds a new fake rpc implementation that tests use by default.
    This speeds up the test run by ~10% on my system. We can decide to
    ditch fake_rabbit at some point later..

    Change-Id: I8877fad3d41ae055c15b1adff99e535c34e9ce92

Changed in nova:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/2043
Committed: http://github.com/openstack/nova/commit/5f72723b4137ec59b4c6b376ddf6e7cb42df26b5
Submitter: Jenkins
Branch: master

 status fixcommitted
 done

commit 5f72723b4137ec59b4c6b376ddf6e7cb42df26b5
Author: Duncan McGreggor <email address hidden>
Date: Fri Dec 2 09:48:15 2011 -0800

    Add missing documentation for shared folder issue with unit tests and Python
    lock file.

    Addresses documentation need raised in bug 897155

    Change-Id: Idc95c12f939948bbbefd84a79b3785e3c2fd752c

Duncan McGreggor (oubiwann) wrote :

Not sure how this bug number made it into the commit log, but the last message is incorrect -- it should point to bug 882933 instead.

Sorry folks!

Thierry Carrez (ttx) on 2011-12-14
Changed in nova:
milestone: none → essex-2
status: Fix Committed → Fix Released

Reviewed: https://review.openstack.org/2232
Committed: http://github.com/openstack/nova/commit/475f3624245500c5382faf5b2708a59fcec2c9ad
Submitter: Jenkins
Branch: stable/diablo

commit 475f3624245500c5382faf5b2708a59fcec2c9ad
Author: Chris Behrens <email address hidden>
Date: Tue Nov 29 09:01:16 2011 -0800

    Fix RPC responses to allow None response correctly.

    Fixes bug 897155

    Cherry picked from 84693b4a16413830be61f465f602de9d13b45161

    Also adds a new fake rpc implementation that tests use by default.
    This speeds up the test run by ~10% on my system. We can decide to
    ditch fake_rabbit at some point later..

    Change-Id: I8877fad3d41ae055c15b1adff99e535c34e9ce92

tags: added: in-stable-diablo
Thierry Carrez (ttx) on 2012-04-05
Changed in nova:
milestone: essex-2 → 2012.1
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers